ARDUINO COMMAND LINE MANUAL(1)

NAME
arduino-cli-profile-create - Create or update a profile in the sketch project file.

SYNOPSIS
arduino-cli profile create --profile --fqbn [flags] []

DESCRIPTION
Create or update a profile in the sketch project file.

OPTIONS
--board-options=[]
    List of board options separated by commas. Or can be used multiple times for multiple options.

-b, --fqbn=""
    Fully Qualified Board Name, e.g.: arduino:avr:uno

-h, --help[=false]
    help for create

-m, --profile=""
    Sketch profile to use

--set-default[=false]
    Set the profile as the default one.

OPTIONS INHERITED FROM PARENT COMMANDS
--additional-urls=[]
    Comma-separated list of additional URLs for the Boards Manager.

--config-dir=""
    Sets the default data directory (Arduino CLI will look for configuration file in this directory).

--config-file=""
    The custom config file (if not specified the default will be used).

--json[=false]
    Print the output in JSON format.

--log[=false]
    Print the logs on the standard output.

--log-file=""
    Path to the file where logs will be written.

--log-format="text"
    The output format for the logs, can be: text, json

--log-level="info"
    Messages with this level and above will be logged. Valid levels are: trace, debug, info, warn, error, fatal, panic

--no-color[=false]
    Disable colored output.

EXAMPLE
      # Creates or updates the sketch project file in the current directory.
      debian/build/bin/arduino-cli profile create -m uno -b arduino:avr:uno

SEE ALSO
arduino-cli-profile(1)

HISTORY
15-Aug-2026 Auto generated by spf13/cobra